POST /v1/public/storefronts/{slug}/booking/waitlist
POST
/v1/public/storefronts/{slug}/booking/waitlistPath parameters
slugstringrequiredRequest body
requiredapplication/jsondatestringphonestringrequiredproduct_idstringrequiredslotstringResponses
201Created
ContactIDstringrequiredCreatedAtstring<date-time>requiredDatestringrequiredIDstringrequiredPhonestringrequiredProductIDstringrequiredSlotstringrequiredStatusstringrequireddefaultError
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X POST "/v1/public/storefronts/string/booking/waitlist" \
-H "Content-Type: application/json" \
-d '{
"date": "string",
"phone": "string",
"product_id": "string",
"slot": "string"
}'const response = await fetch("/v1/public/storefronts/string/booking/waitlist", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"date": "string",
"phone": "string",
"product_id": "string",
"slot": "string"
})
});import requests
response = requests.post(
"/v1/public/storefronts/string/booking/waitlist",
headers={
"Content-Type": "application/json"
},
json={
"date": "string",
"phone": "string",
"product_id": "string",
"slot": "string"
},
)Response
{
"ContactID": "string",
"CreatedAt": "2024-01-01T00:00:00Z",
"Date": "string",
"ID": "string",
"Phone": "string",
"ProductID": "string",
"Slot": "string",
"Status": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}